Subject: Re: bug#65119: [PATCH 0/8] Sharing service code between Home and System

From: Ludovic Courtès <[email-masked]>
Date: Sun, 17 Sep 2023 12:27:08 +0200

Hi

Andrew Tropin <[email-masked]> skribis:

> On 2023-09-13 20:06, Ludovic Courtès wrote:
>
>> Hi,
>>
>> Andrew Tropin <[email-masked]> skribis:
>>
>>> In some previous threads on guix-devel/guix-patches I mentioned, that we
>>> will maintain home services for rde separately

[...]

>> I’m disappointed that rde/Guix cooperation is a one-way street.
>
> That's probably a wrong statement.

That was a reaction to “we will maintain home services for rde
separately” above; to me that statement was unambiguous.

[...]

>> Then, for clarity and to avoid misunderstandings, perhaps you should
>> remove yourself from the Home team?
>>
>
> I guess this one I've already sent to you an year ago is still true:
>
>     However, I perfectly understand the reasons for Guix System style
>     services and respect your descion and desire to stick with them.  I
>     mentioned that I'll maintain already existing rde style services in rde
>     and it won't make sense for me to upstream most of them from rde to
>     Guix, because it will mean almost complete rewrite for them.
>
>     And this is another reason I don't participate in development of home
>     services, because it will mean double or even triple work for me,
>     however I keep an eye on patches you send, in most cases someone jumps
>     in earlier with review, so I don't bother you with my comments. But
>     development of Guix Home itself and the rest of Guix is a part of my
>     interests.
>
> I do want to get CCed on general Guix Home topics, I'm ok with getting
> CCed on other guix home patches and threads outside of my
> interests/workload capabilities.
>
> If you think that confusion is severe, we can split the team into Guix
> Home Core and Guix Home Services, however I don't think it makes a lot
> of sence.

To me, team members commit to the best of their capacity to help with
patch review in the team’s scope.  To receive notifications about a
given topic, I’d suggest using email filters or similar tools.

I hope that makes sense!

Ludo’.